<template>
    <header>
        <div id="navbar">
            <a href="/" class="nav-item">Accueil</a>
            <router-link :to="{name: 'home'}" class="nav-item">Pokédex</router-link>
            <router-link :to="{name: 'team'}" class="nav-item">Mon équipe</router-link>
        </div>
    </header>
    <router-view class="container"/>
</template>

<script>
export default {
    
}
</script>

<style>
    #navbar {
        height: 100px;
        background-color: #521945;
        display: flex;
        align-items: center;
        padding: 0 3% 0 3%;
        clip-path: polygon(0 0, 100% 0, 100% 80%, 0% 100%);
    }

    #navbar .nav-item {
        font-family: Roboto, Arial, Helvetica, sans-serif;
        color: white;
        text-decoration: none;
        padding: 0 10px 0 10px;
    }

    #navbar .router-link-active {
        font-weight: 800;
    }

    .container {
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 20px 3%;
        height: calc(100vh-100px);
    }
</style>